Vereisten voor ontwikkelaars

Omdat met BlackBerry Messenger verbonden toepassingen uitsluitend worden ondersteund op BlackBerry-smartphones met BlackBerry Device Software 5.0 of hoger, wordt het aangeraden dat u de BlackBerry Messenger SDK samen met de BlackBerry Java SDK 5.0 of hoger gebruikt. Om de BlackBerry Java SDK of de bijbehorende ontwikkeltools te downloaden, gaat u naar http://na.blackberry.com/eng/developers/javaappdev/devtools.jsp.

Alle toepassingen die zijn gebouwd op het BBM-platform moeten naar BlackBerry-gebruikers worden gedistribueerd via de BlackBerry App World-shop, hoewel voor testdoeleinden een toepassing rechtstreeks op een BlackBerry-toestel kan worden geladen. Toepassingen die rechtstreeks op het toestel zijn geladen, worden door het BBM-platform als tijdelijk beschouwd en zijn beperkt tot een maximum van 100 gebruikers. Zodra een toepassing beschikbaar is gemaakt in BlackBerry App World, is er geen limiet meer op het aantal van gebruikers.

Om een toepassing via BlackBerry App World te distribueren, moeten ontwikkelaars een lidmaatschapaccount maken om toegang tot het leveranciersportal aan te vragen. Ga voor informatie over het lidmaatschap naar http://na.blackberry.com/eng/developers/appworld/.

Alle toepassingen die het BBM-platform gebruiken, zijn onderhevig aan gedragscodebeperkingen om misbruik van het platform te voorkomen en de privacy van gebruikers te beschermen. Research In Motion behoudt zich het recht voor om toepassingen te verwijderen die mogelijk kwaadwillend zijn of het platform misbruiken of onnodig belasten. Toepassingen moeten gebruikers toestaan om het BBM-platform te informeren als de toepassing een door de gebruiker gestarte actie uitvoert zonder de toestemming van de gebruiker.

Volgend onderwerp: Feedback geven

Was deze informatie nuttig? Stuur ons uw opmerkingen.